# 38. Query: obține „UserData”

Obține „UserData” al utilizatorului autorizat.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    email
    suprafațăTotală
    suprafațăMaximă
    unitateSuprafață
    limbă
    cheieApi
    numărClaseSetDeDateSol
    organizații {
      uuid
      nume
      prenume
      nume
      email
      telefon
      dataCrearii
      updatedDate
      utilizatori {
        uuidOrganizație
        userUuid
        email
        toateFermele
        dataCrearii
        updatedDate
        ferme {
          uuid
          userUuid
          nume
          dataCrearii
          updatedDate
          farmOwnership
          email
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/38.-query-obtine-userdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
